> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a short link

> Resolve a short link code to its target path



## OpenAPI

````yaml /swagger.json get /short-link/{code}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /short-link/{code}:
    get:
      tags:
        - short-link
      summary: Resolve a short link
      description: Resolve a short link code to its target path
      parameters:
        - schema:
            type: string
          required: true
          name: code
          in: path
      responses:
        '200':
          description: Successfully resolved short link.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: The short link code, accessible at /s/{code}
                  path:
                    type: string
                    description: The in-app path the short link currently redirects to
                required:
                  - code
                  - path
      security: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/short-link/%7Bcode%7D
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/short-link/%7Bcode%7D';
            const options = {method: 'GET'};

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/short-link/%7Bcode%7D',
              headers: {}
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            conn.request("GET", "/api/short-link/%7Bcode%7D")

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))

````